Subject: Re: [bug#44806] [PATCH staging 5/6] gnu: Add pitivi.

From: Leo Prikler <[email-masked]>
Date: Tue, 15 Dec 2020 08:55:17 +0100

Am Dienstag, den 15.12.2020, 02:25 -0500 schrieb Leo Famulari:
> On Sun, Nov 22, 2020 at 09:36:24PM +0100, Leo Prikler wrote:
> > * gnu/packages/video.scm (pitivi): New variable.
> 
> Overall LGTM.
> 
> > +        ("gst-plugins-bad"
> > +         ,(gst-plugins/selection gst-plugins-bad
> > +                                 #:plugins '("debugutils"
> > "transcoder")
> > +                                 #:configure-flags '("-
> > Dintrospection=enabled")))
> > +                  ;; We've only added inputs for what Pitivi deems
> > either
> > +                  ;; necessary or optional.  Let the user's
> > packages take
> > +                  ;; precedence in case they have e.g. the full
> > gst-plugins-bad.
> > +                  `("GST_PLUGIN_SYSTEM_PATH" suffix
> > +                    (,(getenv "GST_PLUGIN_SYSTEM_PATH")))))
> 
> Do we do this to save space? Or to avoid the rest of the bad plugins?
Both would be valid reasons to do this imo.  Adding more bad plugins is
likely also not going to increase the number of features Pitivi offers.